# $Revision: 1.4 $, $Date: 2004/05/31 16:55:39 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	IDNA
%define	pnam	Punycode
Summary:	Encodes Unicode string in Punycode
Summary(pl):	Kodowanie cigu znakw Unicode w Punycode
Name:		perl-IDNA-Punycode
Version:	0.02
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://search.cpan.org/CPAN/authors/id/M/MI/MIYAGAWA/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	e4cb6cb3f4044224475ef06f847f6667
URL:		http://search.cpan.org/dist/IDNA-Punycode/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
IDNA::Punycode is a module to encode / decode Unicode strings into
Punycode, an efficient encoding of Unicode for use with IDNA.

%description -l pl
IDNA::Punycode jest moduem sucym do kodowania / dekodowania cigw
znakw Unicode w Punycode, czyli wydajnym kodowaniu Unicode do uytku
z IDNA.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%dir %{perl_vendorlib}/IDNA
%{perl_vendorlib}/IDNA/Punycode.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-IDNA-Punycode.spec,v $
Revision 1.4  2004/05/31 16:55:39  qboosh
- pl fix, missing dir, release 2

Revision 1.3  2004/05/31 08:52:31  ankry
- license

Revision 1.2  2004/05/31 08:50:33  ankry
- pl, caps

Revision 1.1  2004/05/31 07:44:28  adamg
- new
